Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358725

Summary: Fix auto-pointer registration in Boost Python 1.60
Product: [Fedora] Fedora Reporter: Gianluca Sforna <giallu>
Component: boostAssignee: Jonathan Wakely <jwakely>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: anto.trande, dakingun, denis.arnaud_fedora, jwakely, pmachata, thofmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: boost-1.60.0-7.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-03 21:51:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 804125    

Description Gianluca Sforna 2016-07-21 11:36:28 UTC
The boost version we shipped in f24 suffers from this bug:

https://github.com/boostorg/python/issues/56

Since, the fix is already merged upstream, I'd appreciate adding it as a patch in fedora land to solve the issue with one of my packages under review.

Comment 1 Antonio Trande 2016-08-01 20:11:13 UTC
Jonathan, can you please take a look to this issue?

Comment 2 Jonathan Wakely 2016-08-01 20:25:31 UTC
I'm building updated packages.

Comment 3 Fedora Update System 2016-08-02 07:20:56 UTC
boost-1.60.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fff5d70162

Comment 4 Jonathan Wakely 2016-08-02 07:23:43 UTC
F25 and rawhide have been updated to boost-1.60.0-9.

An F24 update has been submitted for the updates-testing repo, boost-1.60.0-7.fc24

Comment 5 Fedora Update System 2016-08-02 21:53:35 UTC
boost-1.60.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fff5d70162

Comment 6 Fedora Update System 2016-08-03 21:51:30 UTC
boost-1.60.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.